package com.pcloud.book.cultivate.dao;

import com.pcloud.book.cultivate.entity.CultivateHoldSeat;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface CultivateHoldSeatDao extends BaseDao<CultivateHoldSeat> {

    void deleteById(Long cultivateId,Long friendCultivateId);

    List<Long> getCultivateIdByFriendId(Long friendCultivateId);

    Long getFriendCultivateIdById(Long cultivateId);

    CultivateHoldSeat getById(Long cultivateId,Long friendCultivateId);
}
